Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class ObjectCachedClass

- org.codehaus.groovy.reflection.stdclasses.ObjectCachedClass

-     public class ObjectCachedClass
      extends CachedClass

  Provides optimized reflection caching for Object. The root cached class that accepts all argument types for assignment, making it a universal fallback for method invocation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectCachedClass(ClassInfo classInfo)` Constructs a cached class representation for Object.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedClass` | `getCachedSuperClass()` Returns `null` since Object has no superclass in the type hierarchy.
    `` | `public boolean` | `isAssignableFrom(Class argument)` Accepts any class as assignable to Object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

- - ### Constructor Detail

    - #### public ObjectCachedClass(ClassInfo classInfo)

      Constructs a cached class representation for Object.

      Parameters:
        `classInfo` - the class information associated with Object

  - ### Method Detail

    - #### public CachedClass getCachedSuperClass()

      Returns `null` since Object has no superclass in the type hierarchy.

      Returns:
        `null` always

    - #### public boolean isAssignableFrom(Class argument)

      Accepts any class as assignable to Object. This is always true since all Java classes inherit from Object.

      Parameters:
        `argument` - the class to check
      Returns:
        `true` always